// the configured options and settings for xbase

#define xbase_VERSION_MAJOR     4
#define xbase_VERSION_MINOR     1
#define xbase_VERSION_PATCH     0

#define PROJECT_PARENT_DIR     "E:/Projekte/xbase64-4.1.0"
#define PROJECT_BINARY_DIR     "E:/Projekte/xbase64-4.1.0/build/win64vs"

#define PROJECT_SOURCE_DIR     "E:/Projekte/xbase64-4.1.0/src"
#define PROJECT_RUNTIME_DIR    ""
#define PROJECT_DATA_DIR       "E:/Projekte/xbase64-4.1.0/data/"
#define PROJECT_LOG_DIR        "E:/Projekte/xbase64-4.1.0/logs/"
#define PROJECT_DFLT_LOGFILE   "Windows_x64.xbLog.txt"
#define EXTRA_LIBS             "xbase64"
#define CMAKE_RUNTIME_OUTPUT_DIRECTORY "E:/Projekte/xbase64-4.1.0/build/win64vs/bin/x64"


#define CMAKE_HOME_DIRECTORY   "E:/Projekte/xbase64-4.1.0/build/win64vs"
#define CMAKE_PROJECT_NAME     "xbase64"
#define BUILD_SHARED_LIBS      "ON"
#define CMAKE_SYSTEM_NAME      "Windows"
#define CMAKE_SYSTEM_PROCESSOR "AMD64"
#define CMAKE_SYSTEM_VERSION   "10.0.22000"
#define CMAKE_BUILD_TYPE       "Debug"
#define CMAKE_C_FLAGS          ""
#define CMAKE_C_FLAGS_DEBUG    "-g"
#define CMAKE_C_FLAGS_RELEASE  "-O3 -DNDEBUG"


#define XB_PLATFORM            "x64"
#define Mylibrary_Exports      ""
#define MYLIB_EXPORT           ""
#define CMAKE_SIZEOF_VOID_P    "8"

#define CMAKE_COMPILER         "GNU"

// integer definitions
#define xbInt16                 short int
#define xbUInt16                unsigned short int
#define xbInt32                 int
#define xbUInt32                unsigned int
#define xbInt64                 __int64
#define xbUInt64                unsigned __int64

/* #undef UNIX */

#define CMAKE_COMPILER_IS_GNUCC
#define HAVE_CTYPE_H
#define HAVE_DIRENT_H
/* #undef HAVE_DOS_H */
#define HAVE_FCNTL_H
#define HAVE_INTTYPES_H
/* #undef HAVE_PWD_H */
#define HAVE_STDARG_H
/* #undef HAVE_STDARGS_H */
#define HAVE_STRING_H
#define HAVE_STRINGS_H
#define HAVE_STAT_H
#define HAVE_UNISTD_H
/* #undef HAVE_VARARGS_H */
#define HAVE_WINDOWS_H

#define HAVE__CLOSE_F
#define HAVE_CREATEPROCESSW_F
/* #undef HAVE_CREATEPROCESSW_F2 */
/* #undef HAVE_FCNTL_F */
#define HAVE__FDOPEN_F
#define HAVE__FILENO_F
#define HAVE_FOPEN_S_F
#define HAVE__FSOPEN_F

/* #undef HAVE_FORK_F */
#define HAVE__FSEEKI64_F
#define HAVE_FSEEKO_F
#define HAVE_FTRUNCATE_F
#define HAVE__LOCALTIME64_S_F
#define HAVE_LOCKFILE_F
/* #undef HAVE_LOCKING_F */
#define HAVE__LOCKING_F
#define HAVE__OPEN_F
#define HAVE_SETENDOFFILE_F
#define HAVE_VSNPRINTF_F
#define HAVE__VSNPRINTF_S_F
#define HAVE_VSPRINTF_S_F

/* #undef XB_PLATFORM_32 */
#define XB_PLATFORM_64
#define XB_DEBUG_SUPPORT
#define XB_LINKLIST_SUPPORT
#define XB_MEMO_SUPPORT
#define XB_LOGGING_SUPPORT
#define XB_DBF3_SUPPORT
#define XB_DBF4_SUPPORT
#define XB_LOCKING_SUPPORT
#define XB_FUNCTION_SUPPORT
#define XB_EXPRESSION_SUPPORT
#define XB_INDEX_SUPPORT
#define XB_NDX_SUPPORT
#define XB_MDX_SUPPORT
#define XB_SQL_SUPPORT
#define XB_INF_SUPPORT
#define XB_FILTER_SUPPORT
#define XB_BLOCKREAD_SUPPORT

#define XB_UTILS_SUPPORT
#define XB_EXAMPLES_SUPPORT

#define HAVE_LONG_LONG

#if defined (WIN32)
  #if defined ( Mylibrary_Exports )
    #define  XBDLLEXPORT __declspec(dllexport)
  #else
    #define  XBDLLEXPORT __declspec(dllimport)
  #endif
#else
  #define  XBDLLEXPORT
#endif

#if defined (UNIX) && defined (XB_PLATFORM_32)
  #define _FILE_OFFSET_BITS 64
#endif

