
#ifndef xbase_EXPORT_H
#define xbase_EXPORT_H

#ifdef xbase_BUILT_AS_STATIC
#  define xbase_EXPORT
#  define XBASE64_NO_EXPORT
#else
#  ifndef xbase_EXPORT
#    ifdef xbase64_EXPORTS
        /* We are building this library */
#      define xbase_EXPORT __declspec(dllexport)
#    else
        /* We are using this library */
#      define xbase_EXPORT __declspec(dllimport)
#    endif
#  endif

#  ifndef XBASE64_NO_EXPORT
#    define XBASE64_NO_EXPORT 
#  endif
#endif

#ifndef XBASE64_DEPRECATED
#  define XBASE64_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef XBASE64_DEPRECATED_EXPORT
#  define XBASE64_DEPRECATED_EXPORT xbase_EXPORT XBASE64_DEPRECATED
#endif

#ifndef XBASE64_DEPRECATED_NO_EXPORT
#  define XBASE64_DEPRECATED_NO_EXPORT XBASE64_NO_EXPORT XBASE64_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef XBASE64_NO_DEPRECATED
#    define XBASE64_NO_DEPRECATED
#  endif
#endif

#endif /* xbase_EXPORT_H */
